Make Directory
POST
/api/v1/files/mkdir
const url = 'https://aura.strangeworks.com/api/v1/files/mkdir';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"deployment_name":"example","path":"example","project_id":"example","snapshot_id":"example","source":"deployment"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://aura.strangeworks.com/api/v1/files/mkdir \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "deployment_name": "example", "path": "example", "project_id": "example", "snapshot_id": "example", "source": "deployment" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MkdirResponse
object
created
required
Created
boolean
path
required
Path
string
Examplegenerated
{ "created": true, "path": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}